﻿init python:
    class playing_card:
        def __init__(self, name, suit, number, art = None):
            self.name = name
            self.suit = suit
            self.number = number
            self.art = art
            self.x = 0
            self.y = 0
            self.rotation = 0
            self.revealed = False

    class cards_player:
        def __init__(self, name, hand, cash):
            self.name = name
            self.hand = hand
            self.cash = cash
            self.bet = 0
            self.playing = []
        def discard(self, card):
            pass
        def play(self, card):
            self.playing.append(card)

default hearts_1 = playing_card("Ace of Hearts", "Hearts", 1)
default hearts_2 = playing_card("Two of Hearts", "Hearts", 2)
default hearts_3 = playing_card("Three of Hearts", "Hearts", 3)
default hearts_4 = playing_card("Four of Hearts", "Hearts", 4)
default hearts_5 = playing_card("Five of Hearts", "Hearts", 5)
default hearts_6 = playing_card("Six of Hearts", "Hearts", 6)
default hearts_7 = playing_card("Seven of Hearts", "Hearts", 7)
default hearts_8 = playing_card("Eight of Hearts", "Hearts", 8)
default hearts_9 = playing_card("Nine of Hearts", "Hearts", 9)
default hearts_10 = playing_card("Ten of Hearts", "Hearts", 10)
default hearts_11 = playing_card("Soldier of Hearts", "Hearts", 11)
default hearts_12 = playing_card("Queen of Hearts", "Hearts", 12)
default hearts_13 = playing_card("King of Hearts", "Hearts", 13)

default clubs_1 = playing_card("Ace of Clubs", "Clubs", 1)
default clubs_2 = playing_card("Two of Clubs", "Clubs", 2)
default clubs_3 = playing_card("Three of Clubs", "Clubs", 3)
default clubs_4 = playing_card("Four of Clubs", "Clubs", 4)
default clubs_5 = playing_card("Five of Clubs", "Clubs", 5)
default clubs_6 = playing_card("Six of Clubs", "Clubs", 6)
default clubs_7 = playing_card("Seven of Clubs", "Clubs", 7)
default clubs_8 = playing_card("Eight of Clubs", "Clubs", 8)
default clubs_9 = playing_card("Nine of Clubs", "Clubs", 9)
default clubs_10 = playing_card("Ten of Clubs", "Clubs", 10)
default clubs_11 = playing_card("Soldier of Clubs", "Clubs", 11)
default clubs_12 = playing_card("Queen of Clubs", "Clubs", 12)
default clubs_13 = playing_card("King of Clubs", "Clubs", 13)

default diamonds_1 = playing_card("Ace of Diamonds", "Diamonds", 1)
default diamonds_2 = playing_card("Two of Diamonds", "Diamonds", 2)
default diamonds_3 = playing_card("Three of Diamonds", "Diamonds", 3)
default diamonds_4 = playing_card("Four of Diamonds", "Diamonds", 4)
default diamonds_5 = playing_card("Five of Diamonds", "Diamonds", 5)
default diamonds_6 = playing_card("Six of Diamonds", "Diamonds", 6)
default diamonds_7 = playing_card("Seven of Diamonds", "Diamonds", 7)
default diamonds_8 = playing_card("Eight of Diamonds", "Diamonds", 8)
default diamonds_9 = playing_card("Nine of Diamonds", "Diamonds", 9)
default diamonds_10 = playing_card("Ten of Diamonds", "Diamonds", 10)
default diamonds_11 = playing_card("Soldier of Diamonds", "Diamonds", 11)
default diamonds_12 = playing_card("Queen of Diamonds", "Diamonds", 12)
default diamonds_13 = playing_card("King of Diamonds", "Diamonds", 13)

default spades_1 = playing_card("Ace of Spades", "Spades", 1)
default spades_2 = playing_card("Two of Spades", "Spades", 2)
default spades_3 = playing_card("Three of Spades", "Spades", 3)
default spades_4 = playing_card("Four of Spades", "Spades", 4)
default spades_5 = playing_card("Five of Spades", "Spades", 5)
default spades_6 = playing_card("Six of Spades", "Spades", 6)
default spades_7 = playing_card("Seven of Spades", "Spades", 7)
default spades_8 = playing_card("Eight of Spades", "Spades", 8)
default spades_9 = playing_card("Nine of Spades", "Spades", 9)
default spades_10 = playing_card("Ten of Spades", "Spades", 10)
default spades_11 = playing_card("Soldier of Spades", "Spades", 11)
default spades_12 = playing_card("Queen of Spades", "Spades", 12)
default spades_13 = playing_card("King of Spades", "Spades", 13)

default all_cards = [
    hearts_1, hearts_2, hearts_3, hearts_4, hearts_5, hearts_6, hearts_7,
    hearts_8, hearts_9, hearts_10, hearts_11, hearts_12, hearts_13,
    clubs_1, clubs_2, clubs_3, clubs_4, clubs_5, clubs_6, clubs_7,
    clubs_8, clubs_9, clubs_10, clubs_11, clubs_12, clubs_13,
    diamonds_1, diamonds_2, diamonds_3, diamonds_4, diamonds_5, diamonds_6, diamonds_7, 
    diamonds_8, diamonds_9, diamonds_10, diamonds_11, diamonds_12, diamonds_13,
    spades_1, spades_2, spades_3, spades_4, spades_5, spades_6, spades_7, 
    spades_8, spades_9, spades_10, spades_11, spades_12, spades_13,
]

screen show_card(c):
    button:
        add "cards_1/{}/{}.png".format(c.suit, c.number)

default c_player = cards_player("Player", [], 1500)
default c_computer = cards_player("Computer", [], 2100)





